# Type Alias TableQuery

type TableQuery = {
aggregations?: {
aggregate: string;
field: string;
ref: string;
table: string;
};
joinFields?: { ref: string; target: string };
limit?: number;
offset?: number;
orderBy?: string | any;
orderDesc?: boolean;
where?: Where;
}

- Defined in base_types.ts:193

##### Index

### Properties

aggregations?
joinFields?
limit?
offset?
orderBy?
orderDesc?
where?

## Properties

### `Optional` aggregations

aggregations?: { aggregate: string; field: string; ref: string; table: string }

- Defined in base_types.ts:195

### `Optional` joinFields

joinFields?: { ref: string; target: string }

- Defined in base_types.ts:194

### `Optional` limit

limit?: number

- Defined in base_types.ts:202

### `Optional` offset

offset?: number

- Defined in base_types.ts:203

### `Optional` orderBy

orderBy?: string | any

- Defined in base_types.ts:204

### `Optional` orderDesc

orderDesc?: boolean

- Defined in base_types.ts:205

### `Optional` where

where?: Where

- Defined in base_types.ts:201